Loading...
Searching...
No Matches
org.linphone.lime.LimePeerDeviceStatus Enum Reference

Enumeration remapping the lime.PeerDeviceStatus. More...

## Public Member Functions

| LimePeerDeviceStatus (int val)

## Public Attributes

| UNTRUSTED =(0)
| TRUSTED =(1)
| UNSAFE =(2)
| FAIL =(3)
| UNKNOWN =(4)

## Protected Member Functions

int | getNative ()
| get the native value (used to give input parameter values)

## Static Protected Member Functions

static LimePeerDeviceStatus | fromNative (int val)
| static method to get an enum value from the native jni integer(used as returned value by native function)

## Detailed Description

Enumeration remapping the lime.PeerDeviceStatus.

- java enumeration is mapped to an int
- jni code map the same int to the original lime.PeerDeviceStatus

## Constructor & Destructor Documentation

## LimePeerDeviceStatus()

org.linphone.lime.LimePeerDeviceStatus.LimePeerDeviceStatus | ( | int | val | ) |

inline

## Member Function Documentation

## fromNative()

LimePeerDeviceStatus org.linphone.lime.LimePeerDeviceStatus.fromNative | ( | int | val | ) |

inline static protected

static method to get an enum value from the native jni integer(used as returned value by native function)

Parameters

  [in] | val | integer value mapped to the jni enum

Returns
  one of the enumeration value, unknown input will silently default to UNKNOWN

## getNative()

int org.linphone.lime.LimePeerDeviceStatus.getNative | ( |  | ) |

inline protected

get the native value (used to give input parameter values)

Returns
  the native value associated

## Member Data Documentation

## FAIL

org.linphone.lime.LimePeerDeviceStatus.FAIL =(3)

when returned by decrypt : we could not decrypt the incoming message
when returned by encrypt in the peerStatus: we could not encrypt to this recipient(probably because it does not published keys on the X3DH server)

## TRUSTED

org.linphone.lime.LimePeerDeviceStatus.TRUSTED =(1)

this peer device already got its public identity key validated, that information shall be displayed to the end user too

## UNKNOWN

org.linphone.lime.LimePeerDeviceStatus.UNKNOWN =(4)

when returned after encryption or decryption, means it is the first time we communicate with this device (and thus create a DR session with it)
when returned by a get_peerDeviceStatus: this device is not in localStorage

## UNSAFE

org.linphone.lime.LimePeerDeviceStatus.UNSAFE =(2)

this status is a helper for the library user. It is used only by the peerDeviceStatus accessor functions

## UNTRUSTED

org.linphone.lime.LimePeerDeviceStatus.UNTRUSTED =(0)

we know this device but do not trust it, that information shall be displayed to the end user, a colour code shall be enough

The documentation for this enum was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/java/org/linphone/lime/LimePeerDeviceStatus.java